module TungstenEngine
  module Core
    # Structure holding the times passed
    # since the game started and
    # since the last game loop ran
    class GameTime
      attr_reader :total, :elapsed, :running_slow

      def initialize(total, elapsed, running_slow)
        @total = total
        @elapsed = elapsed
        @running_slow = running_slow
      end
    end
  end
end